Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::Document Class Reference

An AtkDocument C++ wrapper class. More...

`#include <xfc/atk/document.hh>`

Inheritance diagram for Xfc::Atk::Document:

List of all members.

## Public Member Functions

Accessors

- AtkDocument * atk_document () const
    Get a pointer to the AtkDocument structure.
- operator AtkDocument * () const
    Conversion operator; safely converts a Document to an AtkDocument pointer.
- String get_document_type () const
    Gets a string indicating the document type.
- void * get_document () const
    Gets a generic pointer that points to an instance of the DOM.

## Protected Member Functions

Constructors

- Document ()
    Constructs a new Document object.
- virtual ~Document ()=0
    Destructor.

## Detailed Description

An AtkDocument C++ wrapper class.

The Document interface should be supported by any object that has an associated document object model (DOM). This interface provides the standard mechanism allowing an assistive technology access to the DOM.

## Member Function Documentation

void* Xfc::Atk::Document::get_document | ( |  | ) | const

Gets a generic pointer that points to an instance of the DOM.

Returns:
  A generic pointer that points to an instance of the DOM.

It is up to the caller to check the GType by calling G::TypeInstance::type() to determine how to cast this pointer.

String Xfc::Atk::Document::get_document_type | ( |  | ) | const

Gets a string indicating the document type.

Returns:
  A string indicating the document type.

The documentation for this class was generated from the following file:

- document.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3